Bug 1431557 (CVE-2017-5985) - CVE-2017-5985 lxc: lxc-user-nic didn't verify network namespace ownership
Summary: CVE-2017-5985 lxc: lxc-user-nic didn't verify network namespace ownership
Keywords:
Status: NEW
Alias: CVE-2017-5985
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170128,reported=2...
Depends On: 1431558 1431559
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-13 09:44 UTC by Andrej Nemec
Modified: 2019-06-08 21:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Andrej Nemec 2017-03-13 09:44:02 UTC
It was found that lxc-user-nic could potentially have been tricked into operating on a network namespace over which the caller did not hold privilege.

References:

http://seclists.org/oss-sec/2017/q1/576
https://lists.linuxcontainers.org/pipermail/lxc-users/2017-March/012925.html

Upstream bug:

https://bugs.launchpad.net/ubuntu/+source/lxc/+bug/1654676

Upstream patch:

https://github.com/lxc/lxc/commit/16af238036a5464ae8f2420ed3af214f0de875f9

Comment 1 Andrej Nemec 2017-03-13 09:44:53 UTC
Created lxc tracking bugs for this issue:

Affects: epel-6 [bug 1431559]
Affects: epel-7 [bug 1431558]

Comment 2 Fedora Update System 2017-07-30 19:46:45 UTC
lxc-1.0.10-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2017-07-30 19:50:23 UTC
lxc-1.0.10-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.